The following requirements are needed to install DocuWare:
 

DocuWare Server components

  • Windows 7 at least SP1 (Professional/Enterprise/Ultimate)
  • Windows 8 (Pro/Enterprise) (not supported by DocuWare 5.1c)
     
  • Windows Server 2003 at least SP2 (not supported by DocuWare 6/6.1)
  • Windows Server 2008 at least SP2
  • Windows Server 2008 R2
  • Windows Server 2012 (not supported by DocuWare 5.1c)
  • Windows Server 2012 R2 (not supported by DocuWare 5.1c)

DocuWare Client Modules

  • Windows XP Professional SP3
  • Windows Vista at least SP2
  • Windows 7 at least SP1
  • Windows 8 (not supported by TIFFMAKER)
  • Windows Home Editions (not supported) 
     
  • Windows Server 2003 at least SP2
  • Windows Server 2008 at least SP2
  • Windows Server 2008 R2
  • Windows Server 2012 (not supported by TIFFMAKER)
  • Windows Server 2012 R2 (not supported by TIFFMAKER)

DocuWare Web Modules (Web Client)

  • IIS 6
  • Windows 2003 Server at least SP2 (not supported by DocuWare 6/6.1)
  • IIS 7/7.5
  • Windows Vista at least SP2
  • Windows 7 at least SP1
  • Windows Server 2008 at least SP2
  • Windows Server 2008 R2
  • IIS 8
  • Windows 8 (not supported by DocuWare 5.1c)
  • Windows Server 2012 (not supported by DocuWare 5.1c)
  • Windows Server 2012 R2 (not supported by DocuWare 5.1c)

DocuWare Web components
Web Client Settings, Platform Services, DocuWare Mobile, DocuWare Desktop Server Components, HTML5 Viewer:

  • IIS 6
  • Windows 2003 Server at least SP2 (not supported by DocuWare 6/6.1)
  • IIS 7/7.5
  • Windows Vista at least SP2
  • Windows 7 at least SP1
  • Windows Server 2008 at least SP2
  • Windows Server 2008 R2
  • IIS 8
  • Windows 8 (not supported by DocuWare 5.1c)
  • Windows Server 2012 (not supported by DocuWare 5.1c)
  • Windows Server 2012 R2 (not supported by DocuWare 5.1c)

Supported web browsers

Silverlight
  • Silverlight Version 4 is supported by DocuWare 5.1c - DocuWare 6.1
  • Silverlight Version 5 is supported DocuWare 5.1c SP1 - DocuWare 6.1
    for 5.1c SP1 Hotfix 4 is required
Outlook Versions (Connect to Outlook)
  • Version Microsoft Outlook 2007 (32 Bit) (no support for Windows Terminal Server)
  • Version Microsoft Outlook 2010 (32 Bit) (in a Terminal Server environment no support for "Send & Store" and "Manual storage" in monitored folders)
  • Version Microsoft Outlook 2013 (32 Bit) (in a Terminal Server environment no support for "Send & Store" and "Manual storage" in monitored folders)
  • Exchange Cache Modus has to be enabled on every client
  • 64bit versions are not supported
  • Only Exchange E-Mail accounts are supported!
.NET Framework
  • DocuWare 5.1c requires at least .NET Framwork v3.5 SP1
  • DocuWare 5.1c SP1 - DocuWare 6 requires at least .NET Framework v4.0
  • .NET Framework version will be installed by DocuWare Setup if needed.
Windows Installer
  • at least Windows Installer 4.5
Windows Installer version will be installed by DocuWare Setup if needed.
 

Hardware

NOTE: These are only minimum requirements

Server

  • CPU: 2 x 3,16GHz
  • RAM: 4GB

Client

  • CPU: 2 x 2GHz
  • RAM: 2GB

Supported databases:

  • MySQL
    • 5.0.x 
    • 5.1.x 
  • MS-SQL
    • 2000
    • 2005
    • 2008
    • 2012 (not supported by DocuWare 5.1c - Workaround available in this article: KBA-34718
    • SQL Server Express Edition (not supported)
  • Oracle
    • 10 (not supported by DocuWare 6/6.1)
    • 11g 
      • ODAC 11.2.0.1.2 32bit needed!
        Higher versions are not supported by DocuWare Setup!

        ODAC 11.2.0.1.2 
Storage for document files:
  • Windows-, Linux-, SUN- and Novell file system and others with Windows file system support
  • Additionally with DocuWare ENTERPRISE Server Edition: Content Addressed Storage (CAS), NetApp Storage Solutions

Hard disk space requirements

DocuWare Setup

1,5 GB

Client Modules

up to 350 MB

Server Modules

up to 1,8 GB